Opened 14 years ago

Closed 14 years ago

Last modified 14 years ago

#10899 closed defect (invalid)

BUG: p5-svn-mirror can't be installed: needs SVN::Core 1.0.7

Reported by: vinc17@… Owned by: danielluke (Daniel J. Luke)
Priority: High Milestone:
Component: ports Version:
Keywords: Cc: vinc17@…
Port:

Description

Probably a missing dependency. But I can't find a p5-svn-core port.

--->  Configuring p5-svn-mirror
*** Module::AutoInstall version 1.02
*** Checking for Perl dependencies...
[Core Features]
- SVN::Core         ...missing. (would need 1.0.7)
- URI::Escape       ...loaded. (3.28)
- Term::ReadKey     ...loaded. (2.30)
- SVN::Simple::Edit ...missing.
- Date::Format      ...loaded. (2.22)
- File::chdir       ...loaded. (0.06)
- Class::Accessor   ...loaded. (0.27)
==> Auto-install the 2 mandatory module(s) from CPAN? [Y/n] y
[VCP support]
- VCP               ...loaded. (0.9 >= 0.9)
- Data::UUID        ...missing.
==> Auto-install the 1 optional module(s) from CPAN? [y/N] n
*** Dependencies will be installed the next time you type 'make'.
*** Module::AutoInstall configuration finished.
Warning: prerequisite SVN::Core 1.0.7 not found. We have unknown version.
SVN::Core 1.0.7 must be manually installed at Makefile.PL line 36.
Writing Makefile for SVN::Mirror
Error: Target com.apple.configure returned: configure failure: shell command "cd "/opt/local/var/db/dports/build/_Users_vinc17_software_dports_perl_p5-svn-mirror/work/SVN-Mirror-0.71" && /opt/local/bin/perl Makefile.PL INSTALLDIRS=vendor" returned error 2

Change History (2)

comment:1 Changed 14 years ago by danielluke (Daniel J. Luke)

Resolution: invalid
Status: newclosed

SVN::Core is provided by the subversion-perlbindings port (which is a listed dependency for p5-svn-mirror).

It's likely that there's a problem with your subversion-perlbindings install -

% port provides /opt/local/lib/perl5/vendor_perl/5.8.8/darwin-2level/SVN/Core.pm /opt/local/lib/perl5/vendor_perl/5.8.8/darwin-2level/SVN/Core.pm is provided by: subversion-perlbindings

I would recommend:

port -f uninstall subversion-perlbindings port clean --all subversion-perlbindings port install subversion-perlbindings

and try again.

comment:2 Changed 14 years ago by vinc17@…

I confirm that this solved the problem. Thanks.

Note: See TracTickets for help on using tickets.